# Uses of Annotation Interface
org.apache.cxf.management.annotation.ManagedAttribute

Packages that use ManagedAttribute
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.endpoint

- ## Uses of ManagedAttribute in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers with annotations of type ManagedAttribute
  Modifier and Type
  Method
  Description
  `int`
  WorkQueueImplMBeanWrapper.`getActiveCount()`
  `int`
  WorkQueueImplMBeanWrapper.`getHighWaterMark()`
  `int`
  WorkQueueImplMBeanWrapper.`getLargestPoolSize()`
  `int`
  WorkQueueImplMBeanWrapper.`getLowWaterMark()`
  `int`
  WorkQueueImplMBeanWrapper.`getPoolSize()`
  `long`
  WorkQueueImplMBeanWrapper.`getWorkQueueMaxSize()`
  `long`
  WorkQueueImplMBeanWrapper.`getWorkQueueSize()`
  `boolean`
  WorkQueueImplMBeanWrapper.`isEmpty()`
  `boolean`
  WorkQueueImplMBeanWrapper.`isFull()`

- ## Uses of ManagedAttribute in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint with annotations of type ManagedAttribute
  Modifier and Type
  Method
  Description
  `String`
  ManagedEndpoint.`getAddress()`
  `String`
  ManagedEndpoint.`getState()`
  `String`
  ManagedEndpoint.`getTransportId()`